Skip to main content
GET
/
v1
/
research-ai
/
answer
cURL
curl --request GET \
  --url https://api.statista.ai/v1/research-ai/answer \
  --header 'x-api-key: <api-key>'
{
  "researchToken": "<string>",
  "state": {},
  "response": {
    "answer": "<string>",
    "keyFacts": [
      {
        "title": "<string>",
        "type": "<string>",
        "unit": "<string>",
        "value": "<string>"
      }
    ],
    "sources": [
      {
        "contentId": "<string>",
        "contentType": "<string>",
        "displayTypeId": 123,
        "isCharged": true,
        "releasedAt": "2023-11-07T05:31:56Z",
        "source": "<string>",
        "text": "<string>",
        "title": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "url": "<string>",
        "graphicName": "<string>",
        "parentId": "<string>",
        "statisticType": 123,
        "surveyPeriod": "<string>",
        "titleShort": "<string>"
      }
    ]
  }
}
This is a legacy endpoint, maintained for backwards compatibility and may be deprecated in a future release. If you’re building with LLMs, check out our MCP Server.

Authorizations

x-api-key
string
header
required

Query Parameters

research_token
string
required

The research token to identify the question. This token is returned by the ask endpoint.

Response

The request has succeeded.

researchToken
string
required
state
object
required
response
object